moeoElitistReplacement(3)

NAME
moeoElitistReplacement - Keep all the best individuals (almost cut-and-pasted from eoNDPlusReplacement, (c) Maarten Keijzer, Marc Schoenauer and GeNeura Team, 2002).

SYNOPSIS

#include <moeoReplacement.h>

Inherits moeoReplacement< EOT, WorthT >< EOT, WorthT >.

  Public Member Functions
moeoElitistReplacement (eoPerf2Worth< EOT, WorthT > &_perf2worth)
constructor
void operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
replacement - result in _parents

  Private Attributes
eoPerf2Worth< EOT, WorthT > & perf2worth
the functor object to transform raw fitnesses into fitness for selection

Detailed Description

  template<class EOT, class WorthT = double> class moeoElitistReplacement< EOT, WorthT >
Keep all the best individuals (almost cut-and-pasted from eoNDPlusReplacement, (c) Maarten Keijzer, Marc Schoenauer and GeNeura Team, 2002).

Definition at line 35 of file moeoReplacement.h.

Constructor & Destructor Documentation

  template<class EOT, class WorthT = double> moeoElitistReplacement< EOT, WorthT >::moeoElitistReplacement (eoPerf2Worth< EOT, WorthT > & _perf2worth) [inline]

constructor

Parameters:
    _perf2worth the functor class to transform raw fitnesses into fitness for selection

Definition at line 43 of file moeoReplacement.h.

Member Function Documentation

  template<class EOT, class WorthT = double> void moeoElitistReplacement< EOT, WorthT >::operator() (eoPop< EOT > & _parents, eoPop< EOT > & _offspring) [inline, virtual]

replacement - result in _parents

Parameters:
    _parents parents population
    _offspring offspring population

Implements eoBF< eoPop< EOT > &, eoPop< EOT > &, void >.

Definition at line 54 of file moeoReplacement.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.